Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/css/style.css
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/css/style.css	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/css/style.css	(revision 9131)
@@ -0,0 +1,320 @@
+#header {
+	background-color: #be3631;
+	border-bottom: 1px solid #9e1611;
+	width: 100%;
+	z-index: 99;
+	font-size: 13px;
+}
+
+#header-inner {
+	margin: 0 auto;
+	width: 100%;
+	height: 80px;
+	padding: 0;
+}
+
+@media screen and (min-width: 960px) {
+	#header-inner, #footer {
+		max-width: 960px;
+	}
+}
+
+#header #network-title {
+	text-indent: -9999px;
+	width: 265px;
+}
+
+#header #network-title a {
+	margin-top: 8px;
+	width: 265px;
+	height: 62px;
+	float: left;
+	background: url( '../images/buddypress-logo.png' ) no-repeat 0 0;
+}
+
+.site-header,
+.menu-container,
+.devhub-wrap div#inner-search div#inner-search-icon-container div#inner-search-icon,
+.devhub-wrap div#inner-search {
+	background-color: #cf4944;
+}
+
+.site-header h1 a {
+	text-decoration: none;
+}
+
+#bb-menu-icon,
+#mobile-menu-button {
+	display: none;
+}
+
+#bb-menu-icon:before,
+#mobile-menu-button:before {
+	font: normal 16px/1 'dashicons';
+	color: #000;
+	content: '\f349'
+}
+
+#nav {
+	float: right;
+	margin: 30px 0 0 0;
+	line-height: 20px;
+}
+#nav li {
+	display: inline;
+	margin: 0 3px 0 3px;
+	list-style: none;
+}
+#nav li a {
+	text-decoration: none;
+	color: #fff;
+	height: auto;
+	line-height: 1;
+	padding: 5px 10px;
+	font-weight: 600;
+	-moz-border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-o-border-radius: 3px;
+	-ms-border-radius: 3px;
+	border-radius: 3px;
+	border: 1px solid transparent;
+}
+#nav li a:hover {
+	background-color: #cf4944;
+	color: rgba(255,255,255,0.9);
+}
+
+#nav li a.active {
+	color: #fff;
+}
+
+.hidden	{
+	height: 0;
+	width: 0;
+	overflow: hidden;
+	position: absolute;
+	background: none;
+	left: -999em;
+}
+
+/* Text meant only for screen readers. */
+.screen-reader-text {
+	clip: rect(1px, 1px, 1px, 1px);
+	height: 1px;
+	overflow: hidden;
+	position: absolute !important;
+	width: 1px;
+	word-wrap: normal !important; /* Many screen reader and browser combinations announce broken words as they would appear visually. */
+}
+
+.screen-reader-text:focus {
+	background-color: #f1f1f1;
+	-webkit-border-radius: 3px;
+	border-radius: 3px;
+	-webkit-box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
+	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
+	clip: auto !important;
+	color: #21759b;
+	display: block;
+	font-size: 14px;
+	font-size: 0.875rem;
+	font-weight: 700;
+	height: auto;
+	left: 5px;
+	line-height: normal;
+	padding: 15px 23px 14px;
+	text-decoration: none;
+	top: 5px;
+	width: auto;
+	z-index: 100000; /* Above WP toolbar. */
+}
+
+.devhub-wrap {
+	border-bottom: solid 1px #efefef;
+}
+
+.table-of-contents ul li,
+.no-bullets li {
+	list-style: none;
+}
+
+div[class*="-table-of-contents-container"] ul a:hover,
+div[class*="-table-of-contents-container"] ul a:focus,
+div[class*="-table-of-contents-container"] ul li button.dashicons:hover,
+div[class*="-table-of-contents-container"] > ul > li.open > div > a:not(:focus),
+div[class*="-table-of-contents-container"] .current-menu-ancestor .expandable button.dashicons:hover,
+div[class*="-table-of-contents-container"] .current-menu-item .expandable button.dashicons:hover,
+div[class*="-table-of-contents-container"] ul li button.dashicons:focus {
+	color: #fff !important;
+	background-color: rgb(190, 54, 49) !important;
+}
+
+div[class*="-table-of-contents-container"] ul li button.dashicons,
+div[class*="-table-of-contents-container"] .current-menu-item > .expandable button.dashicons:not(:focus) {
+	color: rgb(190, 54, 49);
+}
+
+.devhub-wrap .source-code-links span {
+	border: none;
+	margin-left: 0;
+	padding-left: 0;
+	margin-right: 1em;
+	padding-right: 1em;
+}
+
+.devhub-wrap .source-code-links span:first-child {
+	border-right: 1px solid #999;
+}
+
+.devhub-wrap a {
+	color: rgb(190, 54, 49);
+}
+
+.devhub-wrap a:hover,
+.post-type-archive-handbook ul.items li a:hover,
+.single-handbook ul.items li a:hover,
+.table-of-contents ul.items li a:hover {
+	color: rgb(221, 130, 59);
+}
+
+.devhub-wrap a.button.shiny-blue,
+.devhub-wrap button.shiny-blue,
+.devhub-wrap input[type="button"].shiny-blue,
+.devhub-wrap input[type="reset"].shiny-blue,
+.devhub-wrap input[type="submit"].shiny-blue {
+  background-color: rgb(190, 54, 49);
+  background-image: -webkit-gradient(linear, left top, left bottom, from(rgb(193, 64, 59)), to(rgb(190, 54, 49)));
+  background-image: -webkit-linear-gradient(top, rgb(193, 64, 59), rgb(190, 54, 49));
+  background-image: -moz-linear-gradient(top, rgb(193, 64, 59), rgb(190, 54, 49));
+  background-image: -ms-linear-gradient(top, rgb(193, 64, 59), rgb(190, 54, 49));
+  background-image: -o-linear-gradient(top, rgb(193, 64, 59), rgb(190, 54, 49));
+  background-image: linear-gradient(to bottom, rgb(193, 64, 59), rgb(190, 54, 49));
+  border-color: rgb(190, 54, 49);
+  border-bottom-color: rgb(190, 54, 49);
+  -webkit-box-shadow: inset 0 1px 0 rgba(239,141,67, 0.5);
+  box-shadow: inset 0 1px 0 rgba(239,141,67, 0.5);
+  color: #fff;
+  text-decoration: none;
+  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3);
+  padding: 3px 8px;
+}
+
+.devhub-wrap a.button.shiny-blue:hover,
+.devhub-wrap button.shiny-blue:hover,
+.devhub-wrap input[type="button"].shiny-blue:hover,
+.devhub-wrap input[type="reset"].shiny-blue:hover,
+.devhub-wrap input[type="submit"].shiny-blue:hover {
+  background-color: #278ab7;
+  background-image: -webkit-gradient(linear, left top, left bottom, from(rgb(221, 130, 59)), to(rgb(190, 54, 49)));
+  background-image: -webkit-linear-gradient(top, rgb(221, 130, 59), rgb(190, 54, 49));
+  background-image: -moz-linear-gradient(top, rgb(221, 130, 59), rgb(190, 54, 49));
+  background-image: -ms-linear-gradient(top, rgb(221, 130, 59), rgb(190, 54, 49));
+  background-image: -o-linear-gradient(top, rgb(221, 130, 59), rgb(190, 54, 49));
+  background-image: linear-gradient(to bottom, rgb(221, 130, 59), rgb(190, 54, 49));
+  border-color: rgb(190, 54, 49);
+  -webkit-box-shadow: inset 0 1px 0 rgba(239,141,67, 0.6);
+  box-shadow: inset 0 1px 0 rgba(239,141,67, 0.6);
+  color: #fff;
+  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3);
+}
+
+p.source-code-links a,
+p#add-user-note a,
+body .meta a,
+#footer p a {
+	border: 0;
+	color: rgb(190, 54, 49);
+}
+#footer p a:hover {
+	color: rgb(221, 130, 59);
+}
+
+#footer {
+	padding: 24px 0;
+	font-size: 12px;
+	margin: 0 auto 24px auto;
+	color: inherit;
+}
+
+#footer div.links {
+	float: right;
+}
+
+#footer p {
+	margin: 0;
+}
+
+/* Shrink logo to make room for navigation */
+@media screen and ( max-width: 820px ) {
+	#header-inner #network-title a {
+		width: 65px !important;
+	}
+}
+
+/* Do not fix #header for non-desktops */
+@media screen and ( max-width: 782px ) {
+	#header #bb-nav {
+		z-index: 999999;
+	}
+	#main {
+		margin: 100px 10px 40px 10px;
+	}
+	#footer {
+		padding: 10px;
+		margin: 10px;
+	}
+	#footer div.links,
+	#footer div.details {
+		float: none;
+		margin: 10px 0;
+	}
+	#bb-menu-icon,
+	#mobile-menu-button {
+		display: block;
+		position: absolute;
+		right: 0;
+		padding: 33px 20px 33px 33px;
+		text-decoration: none;
+	}
+	#header #nav {
+		margin: 0;
+		float: right;
+		overflow: visible;
+	}
+	#header #bb-nav {
+		position: absolute;
+		width: 100%;
+		right: 0;
+		border-bottom: 1px solid #aaa;
+	}
+	#header #bb-nav li {
+		width: 100%;
+		text-align: center;
+		margin: 0;
+		padding: 0;
+	}
+	#header #nav #bb-nav li a {
+		display: block;
+		margin: 0 50px;
+		padding: 20px;
+		color: #000;
+		text-shadow: none;
+		border-radius: 0;
+	}
+	#header #nav #bb-nav li.current a,
+	#header #nav #bb-nav li a:hover {
+		color: #fff;
+	}
+	#header #bb-nav {
+		display: none;
+	}
+	#header #nav:hover #bb-nav,
+	#header #nav:focus #bb-nav {
+		background-color: #eee;
+		display: block !important;
+	}
+	#header #nav:hover #bb-menu-icon:before,
+	#header #nav:focus #bb-menu-icon:before {
+		color: #fff;
+	}
+}
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/footer.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/footer.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/footer.php	(revision 9131)
@@ -0,0 +1,40 @@
+<?php
+/**
+ * The template for displaying the footer.
+ *
+ * Contains the closing of the #content div and all content after
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+?>
+        </div><!-- #content -->
+
+    </div><!-- #page -->
+
+    <hr class="hidden" />
+
+    <div id="footer">
+        <div class="links">
+            <p>
+                <?php esc_html_e( 'See also:', 'bporg-developer' ); ?>
+                <a href="https://wordpress.org"><?php esc_html_e( 'WordPress.org', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://bbpress.org"><?php esc_html_e( 'bbPress.org', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://buddypress.org"><?php esc_html_e( 'BuddyPress.org', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://ma.tt"><?php esc_html_e( 'Matt', 'bporg-developer' ); ?></a> &bull;
+                <a href="<?php bloginfo( 'rss2_url' ); ?>"><?php esc_html_e( 'Blog RSS', 'bporg-developer' ); ?></a>
+            </p>
+        </div>
+        <div class="details">
+            <p>
+                <a href="https://twitter.com/buddypressdev" class="twitter"><?php esc_html_e( 'Follow BuddyPress on Twitter', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://buddypress.org/about/gpl/"><?php esc_html_e( 'GPL', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://buddypress.org/contact/"><?php esc_html_e( 'Contact Us', 'bporg-developer' ); ?></a> &bull;
+                <a href="https://wordpress.org/about/privacy/"><?php esc_html_e('Privacy', 'bporg-developer'); ?></a> &bull;
+                <a href="https://buddypress.org/terms/"><?php esc_html_e( 'Terms of Service', 'bporg-developer' ); ?></a>
+            </p>
+        </div>
+    </div>
+    <?php wp_footer(); ?>
+</body>
+</html>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/functions.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/functions.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/functions.php	(revision 9131)
@@ -0,0 +1,449 @@
+<?php namespace DevHub;
+/**
+ * BuddyPress Developer Theme functions.
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+
+// Exit if accessed directly
+defined( 'ABSPATH' ) || exit;
+
+/**
+ * Enqueue the needed styles.
+ *
+ * @since 1.0.0
+ */
+function bporg_developer_enqueue_styles() {
+    wp_enqueue_style( 'wporg-developer', get_template_directory_uri() . '/style.css' );
+    wp_enqueue_style( 'bporg-developer-main',
+        get_stylesheet_directory_uri() . '/css/style.css',
+        array( 'wp-dev-sass-compiled', 'dashicons' ),
+        wp_get_theme()->get('Version')
+    );
+}
+add_action( 'wp_enqueue_scripts', __NAMESPACE__ . '\\bporg_developer_enqueue_styles', 20 );
+
+/**
+ * Add the BP REST API handbook post type.
+ *
+ * @since 1.0.0
+ *
+ * @param  array $post_types The list of Handbook post types.
+ * @return array The list of Handbook post types.
+ */
+function bporg_developer_register_rest_api( $post_types = array() ) {
+    $post_types[] = 'bp-rest-api';
+    return $post_types;
+}
+add_filter( 'handbook_post_types', __NAMESPACE__ . '\\bporg_developer_register_rest_api', 100, 1 );
+
+/**
+ * Override the generated Handbook post type label.
+ *
+ * @since 1.0.0
+ *
+ * @param  string $label     The generated Handbook post type label.
+ * @param  string $post_type The current Handbook post type.
+ * @return string The BP REST API post type label.
+ */
+function bporg_developer_set_rest_api_label( $label, $post_type ) {
+    if ( 'bp-rest-api-handbook' === $post_type ) {
+        $label = __( 'BP REST API Handbook', 'bporg-developer' );
+    }
+
+    return $label;
+}
+add_filter( 'handbook_label', __NAMESPACE__ . '\\bporg_developer_set_rest_api_label', 100, 2 );
+
+/**
+ * Init some starter content for the documentation site.
+ *
+ * @since 1.0.0.
+ */
+function bporg_developer_starter_content() {
+    register_nav_menu( 'header-nav-menu', 'Main nav bar' );
+
+    add_theme_support( 'title-tag' );
+
+    add_theme_support( 'starter-content', array(
+        'widgets' => array(
+            // Place the BP REST API Chapters accordeon.
+            'bp-rest-api-handbook' => array(
+                'bp-rest-api-chapters' => array(
+                    'handbook_pages',
+                    array(
+                        'title'  => __( 'Chapters', 'bporg-developer' ),
+                    ),
+                ),
+            ),
+
+            // Place a link to the codex.
+            'landing-footer-1' => array(
+                'more-resources' => array(
+                    'text',
+                    array(
+                        'title'  => __( 'More resources', 'bporg-developer' ),
+                        'text'   => sprintf( '<a href="https://codex.buddypress.org/">%s</a>', __( 'BuddyPress Codex', 'bporg-developer' ) ),
+                        'filter' => true,
+                        'visual' => true,
+                    ),
+                ),
+            ),
+
+            // Place a link to the support forums.
+            'landing-footer-2' => array(
+                'more-resources' => array(
+                    'text',
+                    array(
+                        'title'  => __( 'Need help?', 'bporg-developer' ),
+                        'text'   => sprintf( '<a href="https://buddypress.org/support/">%s</a>', __( 'BuddyPress support forums', 'bporg-developer' ) ),
+                        'filter' => true,
+                        'visual' => true,
+                    ),
+                ),
+            ),
+        ),
+
+        // Create initial pages.
+        'posts' => array(
+            'landing' => array(
+                'post_title' => __( 'Home', 'bporg-developer' ),
+                'post_type'  => 'page',
+                'post_name'  => 'landing',
+                'template'   => 'page-home-landing.php',
+            ),
+            'reference' => array(
+                'post_title' => __( 'Reference', 'bporg-developer' ),
+                'post_type'  => 'page',
+                'post_name'  => 'reference',
+                'template'   => 'page-under-construction.php',
+            ),
+            'bp-rest-api' => array(
+                'post_title'   => __( 'BP REST API Handbook', 'bporg-developer' ),
+                'post_type'    => 'bp-rest-api-handbook',
+                'post_name'    => 'bp-rest-api',
+                'menu_order'   => 0,
+                'post_content' => __( 'Let’s start documenting the BP REST API!', 'bporg-developer' ),
+            ),
+        ),
+
+        // Default to a static front page and assign the front and posts pages.
+        'options' => array(
+            'show_on_front'  => 'page',
+            'page_on_front'  => '{{landing}}',
+        ),
+
+        // Set the site title and description.
+        'theme_mods'  => array(
+            'blogname'        => __( 'BuddyPress Developer Resources', 'bporg-developer' ),
+            'blogdescription' => __( 'Your best buddies ever to help you code.', 'bporg-developer' ),
+        ),
+
+        // Set up nav menus
+        'nav_menus'   => array(
+            // Assign a menu to the "header-nav-menu" location.
+            'header-nav-menu' => array(
+                'name'  => __( 'BuddyPress.org nav', 'bporg-developer' ),
+                'items' => array(
+                    'about' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'About', 'bporg-developer' ),
+                        'url'   => 'https://buddypress.org/about/',
+                    ),
+                    'plugins' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Plugins', 'bporg-developer' ),
+                        'url'   => 'https://buddypress.org/plugins/',
+                    ),
+                    'themes' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Themes', 'bporg-developer' ),
+                        'url'   => 'https://buddypress.org/themes/',
+                    ),
+                    'documentation' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Documentation', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/',
+                    ),
+                    'blog' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Blog', 'bporg-developer' ),
+                        'url'   => 'https://buddypress.org/blog/',
+                    ),
+                    'download' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Download', 'bporg-developer' ),
+                        'url'   => 'https://buddypress.org/download/',
+                    ),
+                ),
+            ),
+
+            // Assign a menu to the "devhub-menu" location.
+            'devhub-menu' => array(
+                'name'  => __( 'DevHub menu', 'bporg-developer' ),
+                'items' => array(
+                    'link_home' => array(
+                        'title' => __( 'All Developer Resources', 'bporg-developer' ),
+                    ),
+                ),
+            ),
+
+            // Assign a menu to the "reference-home-api" location.
+            'reference-home-api' => array(
+                'name'  => __( 'BuddyPress API', 'bporg-developer' ),
+                'items' => array(
+                    'bp-attachment' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'BP Attachment API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/plugindev/bp_attachment/',
+                    ),
+                    'bp-theme-compat' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'BP Theme Compat API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/plugindev/how-to-enjoy-bp-theme-compat-in-plugins/',
+                    ),
+                    'bp-component' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'BP Component API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/bp_component/',
+                    ),
+                    'bp-user-query' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'BP User Query API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/bp_user_query/',
+                    ),
+                    'bp-member-types' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Member Types API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/member-types/',
+                    ),
+                    'bp-group-types' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Group Types API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/group-types/',
+                    ),
+                    'bp-nav' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'BP Nav API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/navigation-api/',
+                    ),
+                    'bp-group-extension' => array(
+                        'type'  => 'custom',
+                        'title' => __( 'Group Extension API', 'bporg-developer' ),
+                        'url'   => 'https://codex.buddypress.org/developer/group-extension-api/',
+                    ),
+                ),
+            ),
+        ),
+    ) );
+}
+add_action( 'after_setup_theme', __NAMESPACE__ . '\\bporg_developer_starter_content' );
+
+/**
+ * Callback function to output the BP stable version input.
+ *
+ * @since 1.0.0
+ */
+function bporg_developer_version_setting_callback() {
+    printf(
+        '<input type="text" id="_bp_get_stable_version" name="_bp_get_stable_version" value="%s" class="regular-text ltr" />',
+        esc_attr( get_option( '_bp_get_stable_version', '' ) )
+    );
+}
+
+/**
+ * Add a setting to set the latest BuddyPress stable version.
+ *
+ * @since 1.0.0
+ */
+function bporg_developer_version_setting() {
+    register_setting( 'general', '_bp_get_stable_version', 'esc_attr' );
+
+    add_settings_field(
+        '_bp_get_stable_version',
+        sprintf( '<label for="_bp_get_stable_version">%s</label>', esc_html__( 'BuddyPress latest stable version', 'bporg-developer' ) ),
+        __NAMESPACE__ . '\\bporg_developer_version_setting_callback',
+        'general'
+    );
+}
+add_action( 'admin_init', __NAMESPACE__ . '\\bporg_developer_version_setting' );
+
+/**
+ * Get site section root URL based on URL path.
+ *
+ * @since 1.0.0
+ *
+ * @return string The section root URL.
+ */
+function bporg_developer_get_site_section_url() {
+    $parts = explode( '/', $GLOBALS['wp']->request );
+    switch ( $parts[0] ) {
+        case 'reference':
+        case 'plugins':
+        case 'themes':
+        case 'bp-rest-api':
+            return home_url( '/' . $parts[0] . '/' );
+        default:
+            return apply_filters( 'bporg_developer_get_site_section_url', home_url( '/' ), $parts[0] );
+    }
+}
+
+/**
+ * Get site section title based on URL path.
+ *
+ * @since 1.0.0
+ *
+ * @return string The section title.
+ */
+function bporg_developer_get_site_section_title() {
+    $parts = explode( '/', $GLOBALS['wp']->request );
+
+    switch ( $parts[0] ) {
+        case 'resources':
+        case 'resource':
+            return sprintf( __( 'Developer Resources: %s', 'bporg-developer' ), get_the_title() );
+        case 'reference':
+            return  __( 'Code Reference', 'bporg-developer' );
+        case 'plugins':
+            return __( 'Plugin Handbook', 'bporg-developer' );
+        case 'themes':
+            return __( 'Theme Handbook', 'bporg-developer' );
+        case 'bp-rest-api':
+            return __( 'BP REST API Handbook', 'bporg-developer' );
+        default:
+            return apply_filters( 'bporg_developer_get_site_section_title', __( 'Developer Resources', 'bporg-developer' ) );
+    }
+}
+
+/**
+ * Gets the current BP version.
+ *
+ * NB: used to generate the link to the function/class on BP Trac.
+ *
+ * @since 1.0.0
+ *
+ * @param  string $prefix          The prefix to append to the BP current version.
+ * @param  bool   $ignore_unstable Whether to ignore unstable versions (eg: alpha,
+ *                                 beta, RC).
+ * @return string The version to use to build the Trac link.
+ */
+function bporg_developer_get_current_version( $prefix = 'tags/', $ignore_unstable = true ) {
+    $version    = 'trunk';
+    $bp_version = '';
+
+    // BuddyPress might be active.
+    if ( function_exists( 'bp_get_version' ) ) {
+        $bp_version = bp_get_version();
+    }
+
+    // Try to get the option value.
+    $bp_version = get_option( '_bp_get_stable_version', $bp_version );
+
+    if ( $bp_version ) {
+        if ( false !== strpos( $bp_version, '-' ) ) {
+            if ( ! $ignore_unstable ) {
+                list( $bp_version, $dev_version ) = explode( '-', $bp_version, 2 );
+            } else {
+                $bp_version = '';
+            }
+        }
+
+        if ( $bp_version ) {
+            $version = $prefix . $bp_version;
+        }
+    }
+
+    return $version;
+}
+
+/**
+ * Output the the URL to the actual source file and line.
+ *
+ * @since 1.0.0
+ *
+ * @param int  $post_id     The ID of the Code Reference post type.
+ * @param bool $line_number Whether to include the line number anchor.
+ */
+function bporg_developer_source_file_link( $post_id = null, $line_number = true ) {
+    echo esc_url( bporg_developer_get_source_file_link( $post_id, $line_number ) );
+}
+
+/**
+ * Retrieve the URL to the actual source file and line.
+ *
+ * @since 1.0.0
+ *
+ * @param null $post_id     Post ID.
+ * @param bool $line_number Whether to append the line number to the URL.
+ *                          Default true.
+ * @return string Source file URL with or without line number.
+ */
+function bporg_developer_get_source_file_link( $post_id = null, $line_number = true ) {
+
+    $post_id = empty( $post_id ) ? get_the_ID() : $post_id;
+    $url     = '';
+
+    // Source file.
+    $source_file = get_source_file( $post_id );
+    if ( ! empty( $source_file ) ) {
+        $bp_version = bporg_developer_get_current_version( 'tags/' );
+        $url        = 'https://buddypress.trac.wordpress.org/browser/' . $bp_version . '/src/' . $source_file;
+        // Line number.
+        if ( $line_number = get_post_meta( get_the_ID(), '_wp-parser_line_num', true ) ) {
+            $url .= "#L{$line_number}";
+        }
+    }
+
+    return $url;
+}
+
+/**
+ * Get current (latest) version of the parsed WP code as a wp-parser-since
+ * term object.
+ *
+ * By default returns the major version (X.Y.0) term object because minor
+ * releases rarely add enough, if any, new things to feature.
+ *
+ * For development versions, the development suffix ("-beta1", "-RC1") gets removed.
+ *
+ * @since 1.0.0
+ *
+ * @param  boolean $ignore_minor Use the major release version X.Y.0 instead of the actual version X.Y.Z?
+ * @return object|WP_Error
+ */
+function bporg_developer_get_current_version_term( $ignore_minor = true ) {
+    $current_version = bporg_developer_get_current_version( '' );
+
+    if ( $ignore_minor ) {
+        $version_parts = explode( '.', $current_version, 3 );
+        if ( count( $version_parts ) == 2 ) {
+            $version_parts[] = '0';
+        } else {
+            $version_parts[2] = '0';
+        }
+        $current_version = implode( '-', $version_parts );
+    }
+
+    $version = get_terms( 'wp-parser-since', array(
+        'number' => '1',
+        'order'  => 'DESC',
+        'slug'   => $current_version,
+    ) );
+
+    return is_wp_error( $version ) ? $version : reset( $version );
+}
+
+if ( ! function_exists( 'wp_body_open' ) ) :
+	/**
+	 * Fire the wp_body_open action.
+	 *
+	 * Added for backwards compatibility to support pre 5.2.0 WordPress versions.
+	 */
+	function wp_body_open() {
+		/**
+		 * Triggered after the opening <body> tag.
+		 */
+		do_action( 'wp_body_open' );
+	}
+endif;
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/header.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/header.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/header.php	(revision 9131)
@@ -0,0 +1,78 @@
+<?php
+/**
+ * The Header for our theme.
+ *
+ * Displays all of the <head> section and everything up till <div id="content">
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+?>
+<!DOCTYPE html><html>
+
+<?php get_template_part( 'template-parts/header', 'head' ); ?>
+
+<body id="wordpress-org" <?php body_class(); ?>>
+
+<?php wp_body_open(); ?>
+
+<?php get_template_part( 'template-parts/header', 'accessibility' ); ?>
+
+<div id="header">
+	<div id="header-inner">
+
+		<?php get_template_part( 'template-parts/header', 'nav' ); ?>
+
+		<div id="network-title">
+			<a href="https://buddypress.org"><?php bloginfo( 'name' ); ?></a>
+		</div>
+
+	</div>
+	<div style="clear:both"></div>
+</div>
+
+<header id="masthead" class="site-header<?php if ( is_front_page() ) { echo ' home'; } ?>" role="banner">
+	<?php if ( get_query_var( 'is_handbook' ) ) : ?>
+	<a href="#" id="secondary-toggle" onclick="return false;"><strong><?php _e( 'Menu', 'bporg-developer' ); ?></strong></a>
+	<?php endif; ?>
+	<div class="site-branding">
+		<h1 class="site-title">
+			<a href="<?php echo esc_url( DevHub\bporg_developer_get_site_section_url() ); ?>" rel="home"><?php echo DevHub\bporg_developer_get_site_section_title(); ?></a>
+		</h1>
+
+		<?php if ( is_front_page() ) : ?>
+
+            <p class="site-description"><?php bloginfo( 'description', 'display' ); ?></p>
+
+        <?php else : ?>
+
+            <nav id="site-navigation" class="main-navigation" role="navigation">
+                <button class="menu-toggle dashicons dashicons-arrow-down-alt2" aria-controls="primary-menu" aria-expanded="false" aria-label="<?php esc_attr_e( 'Primary Menu', 'bporg-developer' ); ?>"></button>
+                <?php
+                $active_menu = is_post_type_archive( 'command' ) || is_singular( 'command' ) ? 'devhub-cli-menu' : 'devhub-menu';
+                wp_nav_menu( array(
+                    'theme_location'  => $active_menu,
+                    'container_class' => 'menu-container',
+                    'container_id'    => 'primary-menu',
+                ) ); ?>
+            </nav>
+
+		<?php endif; ?>
+	</div>
+</header><!-- #masthead -->
+
+<div id="page" class="hfeed site devhub-wrap">
+	<?php do_action( 'before' ); ?>
+	<?php
+	if ( DevHub\should_show_search_bar() ) : ?>
+		<div id="inner-search">
+			<?php get_search_form(); ?>
+			<div id="inner-search-icon-container">
+				<div id="inner-search-icon">
+					<div class="dashicons dashicons-search"><span class="screen-reader-text"><?php _e( 'Search', 'bporg-developer' ); ?></span></div>
+				</div>
+			</div>
+		</div>
+
+	<?php endif; ?>
+	<div id="content" class="site-content">
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/languages/bporg-developer.pot
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/languages/bporg-developer.pot	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/languages/bporg-developer.pot	(revision 9131)
@@ -0,0 +1,345 @@
+# <!=Copyright (C) 2019 The BuddyPress community
+# This file is distributed under the GNU General Public License.=!>
+msgid ""
+msgstr ""
+"Project-Id-Version: bporg-developer 1.0.0\n"
+"Report-Msgid-Bugs-To: https://github.com/imath/bporg-developer/issues\n"
+"POT-Creation-Date: 2019-07-12 06:50:36+00:00\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"PO-Revision-Date: 2019-MO-DA HO:MI+ZONE\n"
+"Last-Translator: imath <contact@imathi.eu>\n"
+"Language-Team: FRENCH <contact@imathi.eu>\n"
+"X-Generator: grunt-wp-i18n 1.0.3\n"
+
+#: footer.php:20
+msgid "See also:"
+msgstr ""
+
+#: footer.php:21
+msgid "WordPress.org"
+msgstr ""
+
+#: footer.php:22
+msgid "bbPress.org"
+msgstr ""
+
+#: footer.php:23
+msgid "BuddyPress.org"
+msgstr ""
+
+#: footer.php:24
+msgid "Matt"
+msgstr ""
+
+#: footer.php:25
+msgid "Blog RSS"
+msgstr ""
+
+#: footer.php:30
+msgid "Follow BuddyPress on Twitter"
+msgstr ""
+
+#: footer.php:31
+msgid "GPL"
+msgstr ""
+
+#: footer.php:32
+msgid "Contact Us"
+msgstr ""
+
+#: footer.php:33
+msgid "Privacy"
+msgstr ""
+
+#: footer.php:34
+msgid "Terms of Service"
+msgstr ""
+
+#: functions.php:52 functions.php:123 functions.php:313
+msgid "BP REST API Handbook"
+msgstr ""
+
+#: functions.php:76
+msgid "Chapters"
+msgstr ""
+
+#: functions.php:86
+msgid "More resources"
+msgstr ""
+
+#: functions.php:87
+msgid "BuddyPress Codex"
+msgstr ""
+
+#: functions.php:99
+msgid "Need help?"
+msgstr ""
+
+#: functions.php:100
+msgid "BuddyPress support forums"
+msgstr ""
+
+#. Template Name of the plugin/theme
+msgid "Home"
+msgstr ""
+
+#. Template Name of the plugin/theme
+msgid "Reference"
+msgstr ""
+
+#: functions.php:127
+msgid "Let’s start documenting the BP REST API!"
+msgstr ""
+
+#: functions.php:139
+msgid "BuddyPress Developer Resources"
+msgstr ""
+
+#: functions.php:140
+msgid "Your best buddies ever to help you code."
+msgstr ""
+
+#: functions.php:147
+msgid "BuddyPress.org nav"
+msgstr ""
+
+#: functions.php:151
+msgid "About"
+msgstr ""
+
+#: functions.php:156
+msgid "Plugins"
+msgstr ""
+
+#: functions.php:161
+msgid "Themes"
+msgstr ""
+
+#: functions.php:166
+msgid "Documentation"
+msgstr ""
+
+#: functions.php:171
+msgid "Blog"
+msgstr ""
+
+#: functions.php:176
+msgid "Download"
+msgstr ""
+
+#: functions.php:184
+msgid "DevHub menu"
+msgstr ""
+
+#: functions.php:187
+msgid "All Developer Resources"
+msgstr ""
+
+#: functions.php:194
+msgid "BuddyPress API"
+msgstr ""
+
+#: functions.php:198
+msgid "BP Attachment API"
+msgstr ""
+
+#: functions.php:203
+msgid "BP Theme Compat API"
+msgstr ""
+
+#: functions.php:208
+msgid "BP Component API"
+msgstr ""
+
+#: functions.php:213
+msgid "BP User Query API"
+msgstr ""
+
+#: functions.php:218
+msgid "Member Types API"
+msgstr ""
+
+#: functions.php:223
+msgid "Group Types API"
+msgstr ""
+
+#: functions.php:228
+msgid "BP Nav API"
+msgstr ""
+
+#: functions.php:233
+msgid "Group Extension API"
+msgstr ""
+
+#: functions.php:265
+msgid "BuddyPress latest stable version"
+msgstr ""
+
+#: functions.php:305
+msgid "Developer Resources: %s"
+msgstr ""
+
+#: functions.php:307 page-home-landing.php:20
+msgid "Code Reference"
+msgstr ""
+
+#: functions.php:309
+msgid "Plugin Handbook"
+msgstr ""
+
+#: functions.php:311
+msgid "Theme Handbook"
+msgstr ""
+
+#: functions.php:315
+msgid "Developer Resources"
+msgstr ""
+
+#: header.php:36
+msgid "Menu"
+msgstr ""
+
+#: header.php:50
+msgid "Primary Menu"
+msgstr ""
+
+#: header.php:72
+msgid "Search"
+msgstr ""
+
+#: page-home-landing.php:21
+msgid "Looking for documentation for the BuddyPress codebase?"
+msgstr ""
+
+#: page-home-landing.php:22
+msgid "Visit the reference"
+msgstr ""
+
+#: page-home-landing.php:26
+msgid "BP REST API"
+msgstr ""
+
+#: page-home-landing.php:27
+msgid "Getting started on making BuddyPress applications?"
+msgstr ""
+
+#: page-home-landing.php:28
+msgid "Make Applications "
+msgstr ""
+
+#: page-home-landing.php:32
+msgid "Contribute"
+msgstr ""
+
+#: page-home-landing.php:33
+msgid "Help Make BuddyPress"
+msgstr ""
+
+#: page-home-landing.php:34
+msgid "Visit BuddyPress Trac"
+msgstr ""
+
+#: page-home-landing.php:48
+msgid "Developer news"
+msgstr ""
+
+#: page-home-landing.php:51
+msgid "Follow the development team’s blog."
+msgstr ""
+
+#: page-reference-landing.php:22
+msgid ""
+"Want to know what&#39;s going on inside BuddyPress? Search the Code "
+"Reference for more information about BuddyPress&#39; functions, classes, "
+"methods, and hooks."
+msgstr ""
+
+#: page-reference-landing.php:23
+msgid "Try it out:"
+msgstr ""
+
+#: page-reference-landing.php:28
+msgid "Or browse through topics:"
+msgstr ""
+
+#: page-reference-landing.php:30
+msgid "Functions"
+msgstr ""
+
+#: page-reference-landing.php:31
+msgid "Hooks"
+msgstr ""
+
+#: page-reference-landing.php:32
+msgid "Classes"
+msgstr ""
+
+#: page-reference-landing.php:33
+msgid "Methods"
+msgstr ""
+
+#: page-reference-landing.php:41
+msgid "New &amp; Updated in BuddyPress %s:"
+msgstr ""
+
+#: page-reference-landing.php:67
+msgid "View all&hellip;"
+msgstr ""
+
+#: page-reference-landing.php:74
+msgid "API"
+msgstr ""
+
+#: page-under-construction.php:29
+msgid "Under construction"
+msgstr ""
+
+#: reference/template-source.php:15
+msgid "Source"
+msgstr ""
+
+#: reference/template-source.php:17
+msgid "File: %s"
+msgstr ""
+
+#: reference/template-source.php:28
+msgid "Expand full source code"
+msgstr ""
+
+#: reference/template-source.php:29
+msgid "Collapse full source code"
+msgstr ""
+
+#: reference/template-source.php:31 reference/template-source.php:35
+msgid "View on Trac"
+msgstr ""
+
+#: template-parts/header-accessibility.php:11
+msgid "Skip to:"
+msgstr ""
+
+#: template-parts/header-accessibility.php:12
+msgid "Content"
+msgstr ""
+
+#. Theme Name of the plugin/theme
+msgid "bporg-developer"
+msgstr ""
+
+#. Author URI of the plugin/theme
+msgid "https://buddypress.org/"
+msgstr ""
+
+#. Description of the plugin/theme
+msgid "wporg-developer child theme."
+msgstr ""
+
+#. Author of the plugin/theme
+msgid "The BuddyPress community"
+msgstr ""
+
+#. Template Name of the plugin/theme
+msgid "Under Construction"
+msgstr ""
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-home-landing.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-home-landing.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-home-landing.php	(revision 9131)
@@ -0,0 +1,68 @@
+<?php
+/**
+ * The template for displaying the Code Reference landing page.
+ *
+ * Template Name: Home
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+
+get_header(); ?>
+
+	<div id="primary" class="content-area">
+
+		<div class="home-landing">
+
+			<div class="inner-wrap section">
+
+				<div class="box box-code-ref">
+					<h3 class="widget-title"><div class="dashicons dashicons-editor-code"></div><?php esc_html_e( 'Code Reference', 'bporg-developer' ); ?></h3>
+					<p class="widget-description"><?php esc_html_e( 'Looking for documentation for the BuddyPress codebase?', 'bporg-developer' ); ?></p>
+					<a href="<?php echo esc_url( home_url( '/reference' ) ); ?>"><?php esc_html_e( 'Visit the reference', 'bporg-developer' ); ?></a>
+				</div>
+
+				<div class="box box-rest-api">
+					<h3 class="widget-title"><div class="dashicons dashicons-rest-api"></div><?php esc_html_e( 'BP REST API', 'bporg-developer' ); ?></h3>
+					<p class="widget-description"><?php esc_html_e( 'Getting started on making BuddyPress applications?', 'bporg-developer' ); ?></p>
+					<a href="<?php echo esc_url( get_post_type_archive_link( 'bp-rest-api-handbook' ) ); ?>"><?php esc_html_e( 'Make Applications ', 'bporg-developer' ); ?></a>
+                </div>
+
+                <div class="box box-contribute">
+					<h3 class="widget-title"><div class="dashicons dashicons-buddicons-buddypress-logo"></div><?php esc_html_e( 'Contribute', 'bporg-developer' ); ?></h3>
+					<p class="widget-description"><?php esc_html_e( 'Help Make BuddyPress', 'bporg-developer' ); ?></p>
+					<a href="https://buddypress.trac.wordpress.org"><?php esc_html_e( 'Visit BuddyPress Trac', 'bporg-developer' ); ?></a>
+				</div>
+
+			</div>
+
+			<div class="search-guide inner-wrap section">
+
+				<?php if ( is_active_sidebar( 'landing-footer-1') ) { ?>
+					<?php dynamic_sidebar( 'landing-footer-1' ); ?>
+				<?php } else { ?>
+					<div class=" box"></div>
+				<?php } ?>
+
+				<div class="box">
+					<h3 class="widget-title"><?php esc_html_e( 'Developer news', 'bporg-developer' ); ?></h3>
+					<div class="widget-text">
+						<p>
+							<a href="https://bpdevel.wordpress.com/"><?php esc_html_e( 'Follow the development team’s blog.', 'bporg-developer' ); ?></a>
+						</p>
+					</div>
+				</div>
+
+				<?php if ( is_active_sidebar( 'landing-footer-2') ) { ?>
+					<?php dynamic_sidebar( 'landing-footer-2' ); ?>
+				<?php } else { ?>
+					<div class=" box"></div>
+				<?php } ?>
+
+			</div>
+
+		</div><!-- /home-landing -->
+	</div><!-- #primary -->
+
+<?php get_footer(); ?>
+
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-reference-landing.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-reference-landing.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-reference-landing.php	(revision 9131)
@@ -0,0 +1,93 @@
+<?php
+/**
+ * The template for displaying the Code Reference landing page.
+ *
+ * Template Name: Reference
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+
+get_header(); ?>
+
+	<div id="primary" class="content-area">
+
+		<div id="content-area">
+			<?php breadcrumb_trail(); ?>
+		</div>
+
+		<main id="main" class="site-main" role="main">
+			<div class="reference-landing">
+				<div class="search-guide section clear">
+					<h4 class="ref-intro"><?php _e( 'Want to know what&#39;s going on inside BuddyPress? Search the Code Reference for more information about BuddyPress&#39; functions, classes, methods, and hooks.', 'bporg-developer' ); ?></h4>
+					<h3 class="search-intro"><?php _e( 'Try it out:', 'bporg-developer' ); ?></h3>
+					<?php get_search_form(); ?>
+				</div><!-- /search-guide -->
+
+				<div class="topic-guide section">
+					<h4><?php _e( 'Or browse through topics:', 'bporg-developer' ); ?></h4>
+					<ul class="unordered-list horizontal-list no-bullets">
+						<li><a href="<?php echo get_post_type_archive_link( 'wp-parser-function' ) ?>"><?php _e( 'Functions', 'bporg-developer' ); ?></a></li>
+						<li><a href="<?php echo get_post_type_archive_link( 'wp-parser-hook' ) ?>"><?php _e( 'Hooks', 'bporg-developer' ); ?></a></li>
+						<li><a href="<?php echo get_post_type_archive_link( 'wp-parser-class' ) ?>"><?php _e( 'Classes', 'bporg-developer' ); ?></a></li>
+						<li><a href="<?php echo get_post_type_archive_link( 'wp-parser-method' ) ?>"><?php _e( 'Methods', 'bporg-developer' ); ?></a></li>
+					</ul>
+				</div><!-- /topic-guide -->
+
+				<div class="new-in-guide section two-columns clear">
+                    <?php $version = DevHub\bporg_developer_get_current_version_term(); ?>
+					<?php if ( $version && ! is_wp_error( $version ) ) : ?>
+                        <div class="widget box gray">
+                            <h3 class="widget-title"><?php printf( __( 'New &amp; Updated in BuddyPress %s:', 'bporg-developer' ), substr( $version->name, 0, -2 ) ); ?></h3>
+                            <div class="widget-content">
+                                <ul class="unordered-list no-bullets">
+                                    <?php
+
+                                    $list = new WP_Query( array(
+                                        'posts_per_page' => 15,
+                                        'post_type'      => DevHub\get_parsed_post_types(),
+                                        'orderby'        => 'title',
+                                        'order'          => 'ASC',
+                                        'tax_query'      => array( array(
+                                            'taxonomy' => 'wp-parser-since',
+                                            'field'    => 'ids',
+                                            'terms'    => $version->term_id,
+                                        ) ),
+                                    ) );
+
+                                    while ( $list->have_posts() ) : $list->the_post(); ?>
+
+                                        <li>
+                                            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
+                                                <?php the_title(); ?>
+                                            </a>
+                                        </li>
+
+                                    <?php endwhile; ?>
+                                    <li class="view-all-new-in"><a href="<?php echo esc_attr( get_term_link( $version, 'wp-parser-since' ) ); ?>"><?php _e( 'View all&hellip;', 'bporg-developer' ); ?></a></li>
+                                </ul>
+                            </div>
+                        </div>
+                    <?php endif; ?>
+                    <?php if ( has_nav_menu( 'reference-home-api' ) ) : ?>
+                        <div class="widget box gray">
+                            <h3 class="widget-title"><?php _e( 'API', 'bporg-developer' ); ?></h3>
+                            <div class="widget-content">
+                                <?php wp_nav_menu(
+                                        [
+                                            'theme_location' => 'reference-home-api',
+                                            'menu_class'     => 'unordered-list no-bullets',
+                                        ]
+                                    );
+                                ?>
+                            </div>
+                        </div>
+                    <?php endif; ?>
+				</div><!-- /new-in-guide -->
+
+			</div><!-- /reference-landing -->
+
+		</main><!-- #main -->
+	</div><!-- #primary -->
+
+<?php get_footer(); ?>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-under-construction.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-under-construction.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/page-under-construction.php	(revision 9131)
@@ -0,0 +1,48 @@
+<?php
+/**
+ * The template for displaying the under construction page.
+ *
+ * Template Name: Under Construction
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+
+get_header(); ?>
+
+	<div id="primary" class="content-area">
+
+		<div id="content-area">
+			<?php breadcrumb_trail(); ?>
+		</div>
+
+		<main id="main" class="site-main" role="main">
+			<div class="reference-landing">
+                <div class="section clear">
+
+                    <?php while ( have_posts() ) : the_post(); ?>
+
+                        <?php if ( get_the_content() ) : 
+                            get_template_part( 'content', 'page' );
+                            
+                        else: ?>
+                            <h2><?php esc_html_e( 'Under construction', 'bporg-developer' ); ?></h2>
+                        <?php endif; ?>
+
+                        <?php
+                            // If comments are open or we have at least one comment, load up the comment template
+                            if ( comments_open() || '0' != get_comments_number() ) :
+                                comments_template();
+                            endif;
+                        ?>
+
+                    <?php endwhile; // end of the loop. ?>
+
+                </div><!-- /section.clear -->
+
+			</div><!-- /reference-landing -->
+
+		</main><!-- #main -->
+	</div><!-- #primary -->
+
+<?php get_footer(); ?>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/reference/template-source.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/reference/template-source.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/reference/template-source.php	(revision 9131)
@@ -0,0 +1,39 @@
+<?php namespace DevHub;
+/**
+ * Reference Template: Source Information
+ *
+ * @package bporg-developer
+ * @subpackage Reference
+ * @since 1.0.0
+ */
+
+$source_file = get_source_file();
+if ( ! empty( $source_file ) ) :
+	?>
+	<hr />
+	<section class="source-content">
+		<h3><?php _e( 'Source', 'bporg-developer' ); ?></h3>
+		<p>
+			<?php printf( __( 'File: %s', 'bporg-developer' ),
+				'<a href="' . esc_url( get_source_file_archive_link( $source_file ) ) . '">' . esc_html( $source_file ) . '</a>'
+			); ?>
+		</p>
+
+		<?php if ( post_type_has_source_code() ) : ?>
+			<div class="source-code-container">
+				<pre class="brush: php; toolbar: false; first-line: <?php echo esc_attr( get_post_meta( get_the_ID(), '_wp-parser_line_num', true ) ); ?>"><?php echo htmlentities( get_source_code() ); ?></pre>
+			</div>
+			<p class="source-code-links">
+				<span>
+					<a href="#" class="show-complete-source"><?php _e( 'Expand full source code', 'bporg-developer' ); ?></a>
+					<a href="#" class="less-complete-source"><?php _e( 'Collapse full source code', 'bporg-developer' ); ?></a>
+				</span>
+				<span><a href="<?php bporg_developer_source_file_link(); ?>"><?php _e( 'View on Trac', 'bporg-developer' ); ?></a></span>
+			</p>
+		<?php else : ?>
+			<p>
+				<a href="<?php bporg_developer_source_file_link(); ?>"><?php _e( 'View on Trac', 'bporg-developer' ); ?></a>
+			</p>
+		<?php endif; ?>
+	</section>
+<?php endif; ?>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/single-bp-rest-api-handbook.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/single-bp-rest-api-handbook.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/single-bp-rest-api-handbook.php	(revision 9131)
@@ -0,0 +1,27 @@
+<?php namespace DevHub;
+/**
+ * The Template for displaying all single posts.
+ *
+ * @package bporg-developer
+ * @since 1.0.0
+ */
+
+get_header(); ?>
+
+<?php get_sidebar( 'handbook' ); ?>
+
+		<main id="primary" <?php post_class( 'site-main' ); ?> role="main">
+
+		<?php breadcrumb_trail(); ?>
+
+		<?php while ( have_posts() ) : the_post(); ?>
+
+			<?php get_template_part( 'content', 'handbook' ); ?>
+
+			<?php \WPorg_Handbook_Navigation::show_nav_links( 'BP REST API Table of Contents' ); ?>
+
+		<?php endwhile; // end of the loop. ?>
+
+		</main><!-- #main -->
+
+<?php get_footer(); ?>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/style.css
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/style.css	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/style.css	(revision 9131)
@@ -0,0 +1,24 @@
+/*
+Theme Name: bporg-developer
+Theme URI: https://buddypress.org/
+Author: The BuddyPress community
+Author URI: https://buddypress.org/
+Template: wporg-developer
+Description: wporg-developer child theme.
+Version: 1.0.0
+License: GNU General Public License
+License URI: license.txt
+Text Domain: bporg-developer
+Domain Path: /languages/
+Tags:
+
+This theme, like WordPress, is licensed under the GPL.
+Use it to make something cool, have fun, and share what you've learned with others.
+
+ bporg-developer is based on wporg-developer
+
+Resetting and rebuilding styles have been helped along thanks to the fine work of
+Eric Meyer http://meyerweb.com/eric/tools/css/reset/index.html
+along with Nicolas Gallagher and Jonathan Neal http://necolas.github.com/normalize.css/
+and Blueprint http://www.blueprintcss.org/
+*/
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-accessibility.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-accessibility.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-accessibility.php	(revision 9131)
@@ -0,0 +1,14 @@
+<?php
+/**
+ * The accessibility part of our theme's Header.
+ *
+ * @package bporg-developer
+ * @subpackage TemplateParts
+ * @since 1.0.0
+ */
+?>
+	<dl id="accessibility" class="screen-reader-text">
+		<dt><?php esc_html_e( 'Skip to:', 'bporg-developer' ); ?></dt>
+		<dd><a href="#content" title="Skip to content"><?php esc_html_e( 'Content', 'bporg-developer' ); ?></a></dd>
+	</dl>
+	<hr class="hidden" />
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-head.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-head.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-head.php	(revision 9131)
@@ -0,0 +1,16 @@
+<?php
+/**
+ * The head part of our theme's Header.
+ *
+ * @package bporg-developer
+ * @subpackage TemplateParts
+ * @since 1.0.0
+ */
+?>
+<html <?php language_attributes(); ?>>
+<head>
+	<meta charset="<?php bloginfo( 'charset' ); ?>" />
+	<meta name="viewport" content="width=device-width, initial-scale=1" />
+	<link rel="profile" href="https://gmpg.org/xfn/11" />
+	<?php wp_head(); ?>
+</head>
Index: /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-nav.php
===================================================================
--- /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-nav.php	(revision 9131)
+++ /sites/trunk/buddypress.org/public_html/wp-content/themes/bporg-developer/template-parts/header-nav.php	(revision 9131)
@@ -0,0 +1,20 @@
+<?php
+/**
+ * The navigation part of our theme's Header.
+ *
+ * @package bporg-developer
+ * @subpackage TemplateParts
+ * @since 1.0.0
+ */
+?>
+<div id="nav">
+	<a href="#" id="bb-menu-icon"></a>
+
+    <?php wp_nav_menu( array(
+        'container'      => '',
+        'menu_class'     => 'menu',
+        'menu_id'        => 'bb-nav',
+        'theme_location' => 'header-nav-menu',
+    ) ); ?>
+
+</div>
